<div class="TimeContainer">
    <div id="clockdiv">
        <div>
            <span class="countdownNummer" id="day"></span>
            <div class="smalltext">Tage</div>
        </div>
        <div>
            <span class="countdownNummer" id="hour"></span>
            <div class="smalltext">Stunden</div>
        </div>
        <div>
            <span class="countdownNummer" id="minute"></span>
            <div class="smalltext">Minuten</div>
        </div>
        <div>
            <span class="countdownNummer" id="second"></span>
            <div class="smalltext">Sekunden</div>
        </div>
    </div>
    <br />
    <div id="messagebox">
        <img id="imgmessage">
		<br>
    </div>
</div>

    <script>

    <?php
        $js_array = json_encode($images);
        echo "var images = ".$js_array.";\n";
        $js_array = json_encode($videos);
        echo "var videos = ".$js_array.";\n";

    ?>

    console.log(images);
    var deadline = new Date("Nov28, 2021 00:00").getTime();

    var x = setInterval(function() {

        var now = new Date().getTime();
        var t = deadline - now;
        var days = Math.floor(t / (1000 * 60 * 60 * 24));
        var hours = Math.floor((t % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        var minutes = Math.floor((t % (1000 * 60 * 60)) / (1000 * 60));
        var seconds = Math.floor((t % (1000 * 60)) / 1000);

        // Teste datum

        document.getElementById("day").innerHTML = days;
        document.getElementById("hour").innerHTML = hours;
        $("#minute").html(minutes);
        $("#second").html(seconds);

        if (days == 0) {
            $("#day").parent().hide();
            if (hours == 0) {
                $("#hour").parent().hide();
                if (minutes == 0) {
                    $("#minute").parent().hide();
                    $("#second").parent().addClass("pulsieren")
                    $("#second ~ div").hide();
                    $("#textmessage").hide();
                }
            }
        }

        if (days > 0) {
            textmessage = "Noch " + days + " Mal Schlafen, dann ist es soweit.";
        }
    /*   if (days == 30) {
            extmessage = "Was schon 30. Nein, dafür ist noch Zeit,<br>30 Tage noch, bis zu dein Tag";
        }
			if (days <= 28) {
            textmessage =
                "Heller als die Sonnen scheinst du allein,<br> selbst Mond und Sterne verneigen sich,<br>Weil du Geburtstag hast";
        }
		if (days <= 26) {
            textmessage ="...";
        }
        if (days <= 24) {
        	textmessage="";
            $("#imgmessage").attr("src", "img/txt1.jpg").show();
        }
        if (days <= 22) {
            textmessage = "Jeder, der sich die Fähigkeit erhält,<br> Schönes zu erkennen, wird nie alt werden.";
        }
        if (days <= 20) {
            textmessage =
                "Frohsinn und Glück, Liebe und Spaß,<br> Tage ohne Stress und Freude ohne Kummer,<br> das wünschen wir dir heute und für immer.";
        }
        if (days <= 18) {
            textmessage =
                "Heute denke ich an dich, weil du Geburtstag hast.<br> Morgen denke ich an dich, weil ich dich mag.<br> In einer Woche denke ich an dich, weil ich dich vermisse.<br> In einem Monat denke ich an dich,<br> weil ich froh bin, dass du da bist.<br> So denke ich immer an dich, nicht nur heute.";
        }
        if (days <= 16) {
            textmessage = "Bleib gesund und stets vergnügt,<br> weil uns das sehr am Herzen liegt";
        }
        if (days <= 14) {
            textmessage =
                "Ich wünsche dir 12 Monate Glück, 52 Wochen Zufriedenheit,<br> 365 Tage voller Liebe, 8.760 Stunden ohne Stress,<br> 525.600 Minuten Frohsinn und<br> 31.536.000 Sekunden mit deinen Liebsten.<br> Kurz gesagt: ein unvergleichbares Jahr!";
        }
        if (days <= 12) {
            textmessage =
                "Feiere jeden Geburtstag als ob es der letzte wäre und bedenke,<br> daß Liebe das einzige Geschenk ist,<br> das wirklich die Mühe wert ist, zu geben.";
        }
        if (days <= 10) {
            textmessage = "Mögest du alle Tage deines Lebens, freude und glück haben.";
        }
        if (days <= 8) {
            textmessage = "Geburtstagsfunken und Kerzenschein,<br>leuchtend soll dein Geburtstag sein!";
        }
        if (days <= 6) {
            textmessage = "Und wieder mal wirst du nur so alt,<br> wie du dich fühlst!";
        }
        if (days <= 4) {
            textmessage =
            "Wer alle Kerzen mit einem Atemzug ausbläst,<br>wird auch noch unzählige weitere tun!";
        }
        if (days == 3) {
            textmessage = "Noch 3 mal Schlafen dan ist es so weit!";
        }
        if (days <= 0) {
            textmessage = "Der letzte Tag hat begonnen";
            if (hours <= 12) {
                textmessage = "Die Häfte vom Tag ist Geschaft";
            }
            if (hours <= 6) {
                textmessage = "Die Letzten Stunden laufen";
            }
            if (hours <= 3) {
                textmessage = "Bald ist es soweit";
            }
            if (hours <= 1) {
                textmessage = "Eine Stunde noch und wir lassen es Krachen";
            }
        }
        if (hours == 0) {
            if (minutes <= 30) {
                textmessage = "30 min ist keine Ewigkeit, ist alles Vorbereitet?";
            }
            if (minutes <= 10) {
                textmessage = "Füllt die Gläser mit Sekt";
            }
            if (minutes <= 5) {
                textmessage = "Haltet euch bereit,<br> für den Großen Moment!";
            }
        }*/

        document.getElementById("textmessage").innerHTML = textmessage;
        if (t <= 0) {
            clearInterval(x);
            $("#clockdiv").hide();
            $("#messagebox").hide();
            $("header b").html("Frohe Weihnachten!!!")
            imageLoopFunc();

        }
    }, 1000);
    </script>

<div class="KalenderTest">

    <h3> Kalender Test Bereich zum Testen </h3>

</div>
